/**
 * Copyright (C) 2009  BonitaSoft S.A..
 * BonitaSoft, 31 rue Gustave Eiffel - 38000 Grenoble
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.ow2.bonita.connector.core.widget;

/**
 * @author Matthieu Chaffotte
 *
 */
public abstract class Widget extends Component {

  private Class<?> type;
  private String parameterName;
  private boolean required;

  public Widget(String label, String parameterName, boolean required, Class<?> type) {
    super(label);
    this.parameterName = parameterName;
    this.required = required;
    this.type = type;
  }
  
  public Class<?> getType() {
    return type;
  }

  public String getParameterName() {
    return parameterName;
  }

  public boolean isRequired() {
    return required;
  }

  @Override
  public boolean equals(Object obj) {
    boolean equals = super.equals(obj);
    if (equals && obj instanceof Widget) {
      Widget temp = (Widget) obj;
      return (temp.getType().equals(this.getType())
          && temp.getParameterName().equals(this.getParameterName())
          && temp.isRequired() == this.isRequired());
    } else {
      return false;
    }
  }
}
