/**
 * Copyright (C) 2006  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.ow2.bonita.connector.impl.database;

import org.ow2.bonita.connector.core.annotation.Id;
import org.ow2.bonita.connector.core.annotation.Input;
import org.ow2.bonita.connector.core.annotation.Language;
import org.ow2.bonita.connector.core.annotation.Page;
import org.ow2.bonita.connector.core.annotation.Required;

@Id("Informix")
@Language("org.ow2.bonita.connector.impl.database.InformixConnector")
public class InformixConnector extends RemoteDatabaseConnector {
  
  private String dbServer;
  
  public String getDbServer() {
    return dbServer;
  }

  @Input @Required
  @Page(page="db",order=6)
  public void setDbServer(String dbServer) {
    this.dbServer = dbServer;
  }

  @Override
  protected String getDriver() {
    return "com.informix.jdbc.IfxDriver";
  }

  @Override
  protected String getUrl() {
    return "jdbc:informix-sqli://" + getHostName() + ":"
      + getPort() + "/" + getDatabase() + ":informixserver="
      + getDbServer();
  }
}
