/**
 * Copyright (C) 2006  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.ow2.bonita.connector.impl.twitter;

import org.ow2.bonita.connector.core.annotation.GroupInfo;
import org.ow2.bonita.connector.core.annotation.Groups;
import org.ow2.bonita.connector.core.annotation.Id;
import org.ow2.bonita.connector.core.annotation.Input;
import org.ow2.bonita.connector.core.annotation.Language;
import org.ow2.bonita.connector.core.annotation.Page;
import org.ow2.bonita.connector.core.annotation.Required;
import org.ow2.bonita.connector.core.annotation.Textarea;

import twitter4j.Twitter;

@Id("Twitter - DirectMessage")
@Language("org.ow2.bonita.connector.impl.twitter.TwitterDirectMessageConnector")
@Groups(
    @GroupInfo(pageId="msg",pageOrder=5,groupId="proxySettings",optional=true)
)
public class TwitterDirectMessageConnector extends TwitterConnector {

  private String message;
  private String recipientId;

  public String getMessage() {
    return message;
  }

  public String getRecipientId() {
    return recipientId;
  }

  @Input @Required @Page(page="msg",order=3)
  @Textarea(maxChar=140,maxCharPerRow=14,columns=20,rows=7)
  public void setMessage(String message) {
    this.message = message;
  }

  @Input @Required @Page(page="msg",order=4)
  public void setRecipientId(String recipientId) {
    this.recipientId = recipientId;
  }

  @Override
  protected void executeTask(Twitter twitter) throws Exception {
    twitter.sendDirectMessage(recipientId, message);
  }
}
