/**
 * Copyright (C) 2006  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.ow2.bonita.connector.impl.twitter;

import org.ow2.bonita.connector.core.annotation.GroupInfo;
import org.ow2.bonita.connector.core.annotation.Groups;
import org.ow2.bonita.connector.core.annotation.Id;
import org.ow2.bonita.connector.core.annotation.Input;
import org.ow2.bonita.connector.core.annotation.Language;
import org.ow2.bonita.connector.core.annotation.Page;
import org.ow2.bonita.connector.core.annotation.Required;
import org.ow2.bonita.connector.core.annotation.Textarea;

import twitter4j.Twitter;

@Id("Twitter - Update Status")
@Language("org.ow2.bonita.connector.impl.twitter.TwitterUpdateStatusConnector")
@Groups(
    @GroupInfo(pageId="msg",pageOrder=4,groupId="proxySettings",optional=true)
)
public class TwitterUpdateStatusConnector extends TwitterConnector {

  private String status;

  public String getStatus() {
    return status;
  }

  @Input @Required
  @Page(page="msg",order=3)
  @Textarea(columns=20,rows=8,maxChar=160,maxCharPerRow=20)
  public void setStatus(String status) {
    this.status = status;
  }

  @Override
  protected void executeTask(Twitter twitter) throws Exception {
    twitter.updateStatus(status);
  }
}
