/**
 * Copyright (C) 2009  BonitaSoft S.A..
 * BonitaSoft, 31 rue Gustave Eiffel - 38000 Grenoble
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.ow2.bonita.function;

import java.util.ArrayList;
import java.util.List;

import org.ow2.bonita.connector.core.Connector;
import org.ow2.bonita.connector.core.ConnectorError;
import org.ow2.bonita.connector.core.annotation.Input;
import org.ow2.bonita.connector.core.annotation.Output;
import org.ow2.bonita.connector.core.annotation.Page;
import org.ow2.bonita.connector.core.annotation.Pages;
import org.ow2.bonita.connector.core.annotation.Required;
import org.ow2.bonita.connector.core.annotation.Textarea;

/**
 * @author chaffotm
 *
 */
@Pages("str")
public abstract class StringConnector extends Connector {

	/**
   * The given string.
   */
	private String string;  
	private String result;

	@Output
	public String getResult() {
	  return result;
	}

	public String getString() {
    return string;
  }

	public void setResult(String result) {
    this.result = result;
  }

	@Input @Required
	@Page(page="str",order=1)
	@Textarea(columns=60,rows=10,maxChar=600,maxCharPerRow=60)
  public void setString(String string) {
    this.string = string;
  }

	@Override
	protected List<ConnectorError> validateValues() {
		return new ArrayList<ConnectorError>();
	}
}
